import PocketBase from 'pocketbase';

// Используем публичный URL везде (работает и из Docker, и из браузера)
const pbUrl = import.meta.env.PUBLIC_POCKETBASE_URL || 'http://localhost:8090';

export const pb = new PocketBase(pbUrl);
pb.autoCancellation = false;

export function getImageUrl(record, filename) {
  // Базовый URL тот же самый
  return `${pbUrl}/api/files/${record.collectionId}/${record.id}/${filename}`;
}